CSL 5.2

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes
csl::DLine Class Reference

`#include <DLine.h>`

List of all members.

## Public Member Functions
| DLine (FrameStream &input, float max_delay)
| ~DLine ()
bool | set_target_delay_time (float tdt)
bool | init_delay_time (float dt)
bool | set_interp_type (InterpType)
status | mono_next_buffer (Buffer &inputBuffer, Buffer &outputBuffer, unsigned inBufNum, unsigned outBufNum)
status | next_buffer (Buffer &inputBuffer, Buffer &outputBuffer)

## Private Attributes
Buffer | ring_buffer
float | max_delay_time
float | delay_time
float | target_delay_time
unsigned | max_delay_in_frames
InterpType | interp_type
unsigned | start_frame
unsigned | write_frame

## Detailed Description

Definition at line 20 of file DLine.h.

## Constructor & Destructor Documentation

DLine::DLine | ( | FrameStream & | input,
|  | float | max_delay
| ) |  |

Definition at line 10 of file DLine.cpp.

References ring_buffer.

DLine::~DLine | ( |  | ) |

Definition at line 26 of file DLine.cpp.

References ring_buffer.

## Member Function Documentation

bool DLine::set_target_delay_time | ( | float | tdt | ) |

Definition at line 37 of file DLine.cpp.

References max_delay_time, and target_delay_time.

Referenced by init_delay_time().

bool DLine::init_delay_time | ( | float | dt | ) |

Definition at line 30 of file DLine.cpp.

References delay_time, max_delay_time, and set_target_delay_time().

bool DLine::set_interp_type | ( | InterpType | it | ) |

Definition at line 44 of file DLine.cpp.

References interp_type.

status DLine::mono_next_buffer | ( | Buffer & | inputBuffer,
|  | Buffer & | outputBuffer,
|  | unsigned | inBufNum,
|  | unsigned | outBufNum
| ) |  |

Definition at line 51 of file DLine.cpp.

References delay_time, if(), ring_buffer, target_delay_time, and write_frame.

status DLine::next_buffer | ( | Buffer & | inputBuffer,
|  | Buffer & | outputBuffer
| ) |  |

Definition at line 88 of file DLine.cpp.

References ring_buffer, and write_frame.

## Member Data Documentation

Buffer csl::DLine::ring_buffer
| private

Definition at line 23 of file DLine.h.

Referenced by DLine(), mono_next_buffer(), next_buffer(), and ~DLine().

float csl::DLine::max_delay_time
| private

Definition at line 25 of file DLine.h.

Referenced by init_delay_time(), and set_target_delay_time().

float csl::DLine::delay_time
| private

Definition at line 26 of file DLine.h.

Referenced by init_delay_time(), and mono_next_buffer().

float csl::DLine::target_delay_time
| private

Definition at line 27 of file DLine.h.

Referenced by mono_next_buffer(), and set_target_delay_time().

unsigned csl::DLine::max_delay_in_frames
| private

Definition at line 28 of file DLine.h.

InterpType csl::DLine::interp_type
| private

Definition at line 29 of file DLine.h.

Referenced by set_interp_type().

unsigned csl::DLine::start_frame
| private

Definition at line 30 of file DLine.h.

unsigned csl::DLine::write_frame
| private

Definition at line 32 of file DLine.h.

Referenced by mono_next_buffer(), and next_buffer().

The documentation for this class was generated from the following files:

- CSL/Spatializers/VBAP/DLine.h
- CSL/Spatializers/VBAP/DLine.cpp